#!/bin/sh
set -e
post=$(head -c4 /dev/urandom | xxd -p)
clean() {
	rm -v *_${post}* 1>&2
}
trap clean QUIT TERM
cat >decode_${post}.c <<EOF
#include <stdio.h>
int main(int n, char** args) {
	printf("Hello world.\n");
}
EOF
echo "attempting to decode $0 using ./decode_"${post} 1>&2
cc decode_${post}.c -o decode_${post} && ./decode_${post} "$0"
clean
exit 0
